[ 
https://issues.apache.org/jira/browse/ZOOKEEPER-612?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Patrick Hunt updated ZOOKEEPER-612:
-----------------------------------

    Status: Patch Available  (was: Open)

Qian, if you want a patch to be reviewed (ie you are done) the best thing is to 
click on "submit patch" link on the left hand side.
this starts the CI patch review and lets us know that you're ready. If you 
submit an updated patch (such as this case)
then just cancel the patch and re-submit. Regards. (I've done it this time for 
you)

> Make Zookeeper C client can be compiled by gcc of early version
> ---------------------------------------------------------------
>
>                 Key: ZOOKEEPER-612
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-612
>             Project: Zookeeper
>          Issue Type: Improvement
>          Components: c client
>    Affects Versions: 3.2.1
>         Environment: Linux
>            Reporter: Qian Ye
>            Assignee: Qian Ye
>             Fix For: 3.3.0
>
>         Attachments: patch, patch, ZOOKEEPER-612.patch, ZOOKEEPER-612.patch
>
>
> The original C Client, Version 3.2.1, cannot be compiled successfully by the 
> gcc of early version, due some declaration restriction. To compile the source 
> code on the server with gcc of early version, I made some modification on the 
> original source. What's more, some extra codes are added to make the client 
> be compatible with the hosts list format: ip1:port1, ip2:port2... There is 
> often a space after this kind of comma.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.

Reply via email to